### Property

# WebKit2 Settings:enable-private-browsing

#### Declaration

    property enable-private-browsing: gboolean [ read, write, construct ]

#### Description [src]

Determines whether or not private browsing is enabled. Private browsing will disable history, cache and form auto-fill for any pages visited.

Type: | `gboolean`
Deprecated since: | 2.16.
Use `WebKitWebView:is-ephemeral` or `WebKitWebsiteDataManager:is-ephemeral` instead.

Setter method | `webkit_settings_set_enable_private_browsing()`
Getter method | `webkit_settings_get_enable_private_browsing()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no